curl --request GET \
--url https://api.tensormesh.ai/v1/activities/{activityId} \
--header 'Authorization: Bearer <token>'{
"activity": {
"activityId": "<string>",
"actorType": "ACTOR_TYPE_UNSPECIFIED",
"userId": "<string>",
"action": "ACTIVITY_ACTION_UNSPECIFIED",
"resourceType": "<string>",
"resourceId": "<string>",
"description": "<string>",
"metadata": {},
"occurredAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"actorId": "<string>",
"actorDisplay": "<string>"
}
}Retrieves an activity event by ID.
curl --request GET \
--url https://api.tensormesh.ai/v1/activities/{activityId} \
--header 'Authorization: Bearer <token>'{
"activity": {
"activityId": "<string>",
"actorType": "ACTOR_TYPE_UNSPECIFIED",
"userId": "<string>",
"action": "ACTIVITY_ACTION_UNSPECIFIED",
"resourceType": "<string>",
"resourceId": "<string>",
"description": "<string>",
"metadata": {},
"occurredAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"actorId": "<string>",
"actorDisplay": "<string>"
}
}Bearer authentication using an access token. Format: Bearer <access_token>
Activity ID.
A successful response.
GetActivityResponse is the response for an activity fetch.
Activity represents a user activity event.
Show child attributes